Name: picodrive
Summary: Sega 8/16 bit video game system emulator 
Version: 1.93
Release: %mkrel 2
License: Freeware / Non commercial
Group: Emulators
Source0: %{name}-%{version}.tar.xz
Source1: %{name}.png
Packager: Agent Smith <ruidobranco@yahoo.com.br>
Distribution: PCLinuxOS
Url:  https://github.com/notaz/picodrive

BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}cdio-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}sndfile-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:  gcc-c++
BuildRequires:  mesa-devel
BuildRequires:	zlib1-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description

This is yet another Megadrive / Genesis / Sega CD / Mega CD / 32X / SMS
emulator, which was written having ARM-based handheld devices in mind
(such as smartphones and handheld consoles like GP2X and Pandora),
but also runs on non-ARM little-endian hardware too.

PicoDrive requires a real BIOS for Sega CD/Mega CD emulation to work.

US: us_scd1_9210.bin us_scd2_9306.bin SegaCDBIOS9303.bin
EU: eu_mcd1_9210.bin eu_mcd2_9303.bin eu_mcd2_9306.bin
JP: jp_mcd1_9112.bin jp_mcd1_9111.bin

For the standalone emulator they can be placed in ~/.picodrive/ 

Sega CD games must be in the cue / iso format, and the audio tracks must be in WAV format.



%prep
%setup -q 

%build
 ./configure  
make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
install -d %{buildroot}%{_gamesbindir}
install -d %{buildroot}%{_gamesbindir}/skin/
install -D -m755 PicoDrive  %{buildroot}%{_gamesbindir}
cp $RPM_BUILD_DIR/%{name}-%{version}/skin/*.png %{buildroot}%{_gamesbindir}/skin/
install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=PicoDrive
GenericName=picodrive
Comment=%{summary}
Exec=PicoDrive
Icon=%{name}.png
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(0755,root,root,0755)
%doc AUTHORS COPYING ChangeLog README
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog

* Fri Mar 25 2022  Agent Smith <ruidobranco@yahoo.com.br> 1.93-2pclos2022
- Changed the icon, for a better one.

* Thu Oct 17 2019  Agent Smith <ruidobranco@yahoo.com.br> 1.93-1pclos2019
- Created the package picodrive1.93-1pclos2019.rpm, with latest source.


